Asset Usage

Asset Usage

These calls allow you to keep track of assets being exported from Bynder and imported into a third party application. In order to get started or find an existing integration id you should check out this Bynder support article. If you want to register a new third party application please contact us at support@bynder.com.

Warning: Requires the STATISTICS security role.

Delete asset usage

Delete an asset usage entry.

delete
https://{your-bynder-domain}/api/media/usage

Query Parameters

integration_idstring

Integration id.

asset_idstring

Asset id.

uristring

Asset location.

Response

No Content

delete/api/media/usage
 

Retrieve asset usage

Retrieve asset usage information.

get
https://{your-bynder-domain}/api/media/usage

Query Parameters

asset_idstring

Asset id.

integration_idstring

Integration id.

uristring

URI.

Response

application/json

Successful response

additionalstring
asset_idstring
idstring
integrationobject
Show Child Parameters
timestampstring(date-time)
uristring
get/api/media/usage
 
application/json

Create asset usage

Create a new asset usage entry.

post
https://{your-bynder-domain}/api/media/usage

Body

application/x-www-form-urlencoded
additionalstring

Additional information.

asset_idstring

Asset id.

integration_idstring

Integration id.

timestampstring(date-time)

Datetime in ISO8601 format yyyy-mm-ddThh:mm:ssZ.

uristring

Location.

Response

application/json

Successful response

additionalstring
asset_idstring
idstring
integrationobject
Show Child Parameters
timestampstring(date-time)
uristring
post/api/media/usage

Body

{}
 
application/json

Asset Usage Sync

This alternative API call allows you to sync all your usage from a single integration.

  • A usage will be created when there is no existing usage on the specified asset
  • A usage will be updated when adding additional info
  • A usage will be deleted when specifying a URI but not using that URI in a usage

Warning: Requires the STATISTICS security role.